NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder Class Reference

Represents a NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder . More...

Inheritance diagram for NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool CreateGeometry [get, set]
 Returns or sets the create construction geometry flag. More...
 
unsafe NXOpen.Point PT11Left [get, set]
 Returns or sets the left PT11 additional geometry. More...
 
unsafe bool PT11LeftFlag [get, set]
 Returns or sets the left PT11 additional geometry flag. More...
 
unsafe NXOpen.Point PT11Right [get, set]
 Returns or sets the right PT11 additional geometry. More...
 
unsafe bool PT11RightFlag [get, set]
 Returns or sets the right PT11 additional geometry flag. More...
 
unsafe NXOpen.Point PT12Left [get, set]
 Returns or sets the left PT12 additional geometry. More...
 
unsafe bool PT12LeftFlag [get, set]
 Returns or sets the left PT12 additional geometry flag. More...
 
unsafe NXOpen.Point PT12Right [get, set]
 Returns or sets the right PT12 additional geometry. More...
 
unsafe bool PT12RightFlag [get, set]
 Returns or sets the right PT12 additional geometry flag. More...
 
unsafe NXOpen.Point PT14Left [get, set]
 Returns or sets the left PT14 additional geometry. More...
 
unsafe bool PT14LeftFlag [get, set]
 Returns or sets the left PT14 additional geometry flag. More...
 
unsafe NXOpen.Point PT14Right [get, set]
 Returns or sets the right PT14 additional geometry. More...
 
unsafe bool PT14RightFlag [get, set]
 Returns or sets the right PT14 additional geometry flag. More...
 
unsafe NXOpen.Expression ReqHorizontalLeftExact [get]
 Returns the left horizontal required approach angle. More...
 
unsafe NXOpen.Expression ReqHorizontalRightExact [get]
 Returns the right horizontal required approach angle. More...
 
unsafe NXOpen.Expression ReqVerticalMax [get]
 Returns the vertical maximum required approach angle. More...
 
unsafe NXOpen.Expression ReqVerticalMin [get]
 Returns the vertical minimum required approach angle. More...
 
unsafe NXOpen.Point SR1Left [get, set]
 Returns or sets the left SR1 alternative point. More...
 
unsafe bool SR1LeftFlag [get, set]
 Returns or sets the left SR1 alternative point flag. More...
 
unsafe NXOpen.Expression SR1Offset [get]
 Returns the offset used to position SR1. More...
 
unsafe NXOpen.Point SR1Right [get, set]
 Returns or sets the right SR1 alternative point. More...
 
unsafe bool SR1RightFlag [get, set]
 Returns or sets the right SR1 alternative point flag. More...
 
unsafe NXOpen.Point SR2ALeft [get, set]
 Returns or sets the left SR2A alternative point. More...
 
unsafe bool SR2ALeftFlag [get, set]
 Returns or sets the left SR2A alternative point flag. More...
 
unsafe NXOpen.Point SR2ARight [get, set]
 Returns or sets the right SR2A alternative point. More...
 
unsafe bool SR2ARightFlag [get, set]
 Returns or sets the right SR2A alternative point flag. More...
 
unsafe NXOpen.Point SR2BLeft [get, set]
 Returns or sets the left SR2B alternative point. More...
 
unsafe bool SR2BLeftFlag [get, set]
 Returns or sets the left SR2B alternative point flag. More...
 
unsafe NXOpen.Point SR2BRight [get, set]
 Returns or sets the right SR2B alternative point. More...
 
unsafe bool SR2BRightFlag [get, set]
 Returns or sets the right SR2B alternative point flag. More...
 
unsafe NXOpen.Point SR2Left [get, set]
 Returns or sets the left SR2 alternative point. More...
 
unsafe bool SR2LeftFlag [get, set]
 Returns or sets the left SR2 alternative point flag. More...
 
unsafe NXOpen.Expression SR2Offset [get]
 Returns the offset used to position SR2. More...
 
unsafe NXOpen.Point SR2Right [get, set]
 Returns or sets the right SR2 alternative point. More...
 
unsafe bool SR2RightFlag [get, set]
 Returns or sets the right SR2 alternative point flag. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder .

This is an abstract class and cannot be instantiated.

Created in NX9.0.0

Member Function Documentation

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.CreateGeometry
getset

Returns or sets the create construction geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.PT11Left
getset

Returns or sets the left PT11 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.PT11LeftFlag
getset

Returns or sets the left PT11 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.PT11Right
getset

Returns or sets the right PT11 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.PT11RightFlag
getset

Returns or sets the right PT11 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.PT12Left
getset

Returns or sets the left PT12 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.PT12LeftFlag
getset

Returns or sets the left PT12 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.PT12Right
getset

Returns or sets the right PT12 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.PT12RightFlag
getset

Returns or sets the right PT12 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.PT14Left
getset

Returns or sets the left PT14 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.PT14LeftFlag
getset

Returns or sets the left PT14 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.PT14Right
getset

Returns or sets the right PT14 additional geometry.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.PT14RightFlag
getset

Returns or sets the right PT14 additional geometry flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.ReqHorizontalLeftExact
get

Returns the left horizontal required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.ReqHorizontalRightExact
get

Returns the right horizontal required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.ReqVerticalMax
get

Returns the vertical maximum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.ReqVerticalMin
get

Returns the vertical minimum required approach angle.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR1Left
getset

Returns or sets the left SR1 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR1LeftFlag
getset

Returns or sets the left SR1 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR1Offset
get

Returns the offset used to position SR1.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR1Right
getset

Returns or sets the right SR1 alternative point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR1RightFlag
getset

Returns or sets the right SR1 alternative point flag.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2ALeft
getset

Returns or sets the left SR2A alternative point.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2ALeftFlag
getset

Returns or sets the left SR2A alternative point flag.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2ARight
getset

Returns or sets the right SR2A alternative point.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2ARightFlag
getset

Returns or sets the right SR2A alternative point flag.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2BLeft
getset

Returns or sets the left SR2B alternative point.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2BLeftFlag
getset

Returns or sets the left SR2B alternative point flag.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2BRight
getset

Returns or sets the right SR2B alternative point.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2BRightFlag
getset

Returns or sets the right SR2B alternative point flag.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2Left
getset

Returns or sets the left SR2 alternative point.

Created in NX9.0.0

Deprecated in NX11.0.0. Use NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2ALeft instead.

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2LeftFlag
getset

Returns or sets the left SR2 alternative point flag.

Created in NX9.0.0

Deprecated in NX11.0.0. Use NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2ALeftFlag instead.

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe NXOpen.Expression NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2Offset
get

Returns the offset used to position SR2.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2Right
getset

Returns or sets the right SR2 alternative point.

Created in NX9.0.0

Deprecated in NX11.0.0. Use NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2ARight instead.

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")

unsafe bool NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2RightFlag
getset

Returns or sets the right SR2 alternative point flag.

Created in NX9.0.0

Deprecated in NX11.0.0. Use NXOpen.Features.VehicleDesign.HeadImpactSideRailDetailBuilder.SR2ARightFlag instead.

License requirements to get this property: None.

License requirements to set this property: nx_general_packaging ("NX General Packaging")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.